[package]
name = "rfc6570-level-2"
description = "A library for validating and processing strings as RFC6570-compliant URIs (up to level 2)"
version = "1.2.0"
authors = ["Joel Smith <j.d.smith@outlook.com.au>"]
edition = "2018"
license = "MIT"
repository = "https://gitlab.com/Kage-Yami/rfc6570-level-2-rust"
readme = "README.md"
keywords = ["rfc6570", "uri", "lib", "parser", "validator"]
categories = ["parsing"]

include = ["src/*", "tests/*", "Cargo.toml", "CHANGELOG.md", "LICENSE", "README.md"]

[dependencies]
anyhow = "1.0.38"
itertools = "0.10.0"
nom = "6.1.0"
percent-encoding = "2.1.0"

[build-dependencies]

[dev-dependencies]
anyhow = "1.0.38"

[profile.release]
lto = true
